## A streamlined .gitignore for modern .NET projects
## including temporary files, build results, and
## files generated by popular .NET tools. If you are
## developing with Visual Studio, the VS .gitignore
## https://github.com/github/gitignore/blob/main/VisualStudio.gitignore
## has more thorough IDE-specific entries.
##
## Get latest from https://github.com/github/gitignore/blob/main/Dotnet.gitignore

# Build results
[Dd]ebug/
[Dd]ebugPublic/
[Rr]elease/
[Rr]eleases/
x64/
x86/
[Ww][Ii][Nn]32/
[Aa][Rr][Mm]/
[Aa][Rr][Mm]64/
bld/
[Bb]in/
[Oo]bj/
[Ll]og/
[Ll]ogs/

# .NET Core
project.lock.json
project.fragment.lock.json
artifacts/

# ASP.NET Scaffolding
ScaffoldingReadMe.txt

# NuGet Packages
*.nupkg
# NuGet Symbol Packages
*.snupkg

# Others
~$*
*~
CodeCoverage/

# MSBuild Binary and Structured Log
*.binlog

# MSTest test Results
[Tt]est[Rr]esult*/
[Bb]uild[Ll]og.*

# NUnit
*.VisualState.xml
TestResult.xml
nunit-*.xml
/.vs
*.onnx_data
/DocumentsEntreprisesServices/ServicesExternes/ffmpeg/ffmpeg.exe
/DocumentsEntreprisesServices/ServicesExternes/ffmpeg/ffplay.exe
/DocumentsEntreprisesServices/ServicesExternes/ffmpeg/ffprobe.exe
/DocumentsEntreprisesServices/ServicesExternes/ffmpeg/avcodec-62.dll
/DocumentsEntreprisesServices/ServicesExternes/ffmpeg/avdevice-62.dll
/DocumentsEntreprisesServices/ServicesExternes/ffmpeg/avfilter-11.dll
/DocumentsEntreprisesServices/ServicesExternes/ffmpeg/avformat-62.dll
/DocumentsEntreprisesServices/ServicesExternes/ffmpeg/avutil-60.dll
/DocumentsEntreprisesServices/ServicesExternes/ffmpeg/swresample-6.dll
/DocumentsEntreprisesServices/ServicesExternes/ffmpeg/swscale-9.dll
/RAGService/onnx/model.onnx
/RAGService/onnx/tokenizer.json
